.admin-bar .nav-two-main {
	margin-top : 32px;
}
@media screen and (max-width: 782px) {
    .admin-bar .nav-two-main {
        margin-top: 46px;
    }
}

.contact-two-form-container {
	text-align : left;
}


/* Accessibility
--------------------------------------------- */

/* Text meant only for screen readers. */
.screen-reader-response,
.screen-reader-text {
	border: 0;
	clip: rect(1px, 1px, 1px, 1px);
	clip-path: inset(50%);
	height: 1px;
	margin: -1px;
	overflow: hidden;
	padding: 0;
	position: absolute !important;
	width: 1px;
	word-wrap: normal !important;
}
.screen-reader-response:focus,
.screen-reader-text:focus {
	background-color: #f1f1f1;
	border-radius: 3px;
	box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
	clip: auto !important;
	clip-path: none;
	color: #21759b;
	display: block;
	font-size: 0.875rem;
	font-weight: 700;
	height: auto;
	left: 5px;
	line-height: normal;
	padding: 15px 23px 14px;
	text-decoration: none;
	top: 5px;
	width: auto;
	z-index: 100000;
}

/* Do not show the outline on the skip link target. */
#primary_b[tabindex="-1"]:focus ,
#primary[tabindex="-1"]:focus {
	outline: 0;
}

.contact-two-input-icon {
	z-index : 2;
}
.wpcf7-form-control-wrap {
    width: 100%;
}
.wpcf7-not-valid-tip {
	color : red;
}
.contact-one-form-block + .wpcf7-response-output {
	display : none !important;
	visiblity : hidden;
	opacity : 0;
	position : absolute;
	left: -1000%;
}
.contact-two-form-container .wpcf7 {
	width : 100%;
}
.contact-one-form-block .wpcf7-response-output {
	margin-left: 0 !important;
    margin-right: 0 !important;
	margin-bottom : 0 !important;
	width : 100%;
}
.hamburger-wrapper {
	display : none;
}
/* main menu: tablet and mobile */
  /* .nav-inner {
    padding-top: 15px;
    padding-bottom: 15px;
  } */
  /* .nav-menu-links {
    display: none;
  } */
@media screen and (max-width: 991px) {
	.dropdown-toggle {
		margin-left : 0;
		margin-right : 0;
		text-align : center;
	}
	.nav-menu-links {
		justify-content : space-between;
		width: 540px;
		max-width : 540px;
		min-width : 540px;
	}
}
@media screen and (max-width: 800px) {
	.nav-inner {
		flex-wrap : wrap;
		align-items : center;
	}
	.nav-menu-links {
		flex-basis : 100%;
		justify-content : center;
		height : 0;
		overflow : hidden;
		transition : height 0.25s;
		width : 100%;
		max-width : 100%;
	}
	.nav-menu-links > a {
		height : 60px;
		padding-top : 0;
		padding-bottom : 0;
		display : flex;
		flex-direction : column;
		justify-content : center;
	}
	.w-nav-brand {
		height : 108px;
		display : flex;
		flex-direction : column;
		justify-content : center;
	}
	.nav-menu-links.is-active {
		height : 60px;
	}
	.hamburger-wrapper {
		display : flex;
		justify-content : flex-end;
		align-items : center;
	}
}
@media screen and (max-width: 560px) {
	.nav-menu-links {
		flex-direction : column;
		
		row-gap : 20px;
	}
	.nav-menu-links.is-active {
		height : 180px;
	}
	.nav-menu-links > a {
		height : auto;
	}
}
[class^="heading-"],
p,h1,h2,h3,li {
	text-wrap: balance;
}
h3.text-white.footer-heading {
  text-wrap: balance;
}
.page-template-default .container-one.w-container {
	max-width : 1150px;
	padding-left : 40px;
	padding-right : 40px;
}
.contact-two-form-container {
	padding-left : 0 !important;
	padding-right : 0 !important;
}
.contact-one-form-block {
	padding : 0 !important;
}
@media screen and ( max-width : 1370px ){
	.page-template-page-about-us .w-container.container-three,
	.page-template-page-home .w-container.container-two,
	.page-template-page-home .w-container.container-one {
		max-width : 1360px;
		padding-left : 40px;
		padding-right : 40px;
	}
}
@media screen and (max-width: 991px) {
	.page-template-page-services .service-details-grid-col.service-details-grid-two {
		padding-left : 40px;
		padding-right : 40px;		
	}
}
@media screen and (max-width: 767px) {
    .solving-problems-box {
		padding-left : 40px;
		padding-right : 40px;
    }
}


.content-wrapper.contact-two-form-container {
	text-align : left;
	display : block;
	color: var(--blue);
} 
.content-wrapper.contact-two-form-container a,
.content-wrapper.contact-two-form-container a:visited,
.content-wrapper.contact-two-form-container a:active,
.content-wrapper.contact-two-form-container a:hover {
	color: var(--blue);
}
.content-wrapper.contact-two-form-container a:hover {
	opacity : 0.8;
}
.content-wrapper.contact-two-form-container a.primary-button {
	color : #ffffff !important;
}
[data-w-id="d7298f0f-7793-2486-bf53-9a8a9941ad1b"] {
	position : relative;
	height : 54px;
}
[data-w-id="d7298f0f-7793-2486-bf53-9a8a9941ad1b"] > span {
	display : none;
}
[data-w-id="d7298f0f-7793-2486-bf53-9a8a9941ad1b"] > input {
	z-index : 3;
	position : absolute;
	width : 100%;
	height : 100%;
}
[data-w-id="d7298f0f-7793-2486-bf53-9a8a9941ad1b"] > a {
	z-index : 1;
	position : absolute;
	width : 100%;
	height : 100%;
}
.wpcf7-checkbox span.first {
	margin-left : 0;
}

.wpcf7-checkbox label {
	margin-bottom : 0;
}
.wpcf7-checkbox label span.wpcf7-list-item-label {
	display : flex;
	gap : 20px;
	justify-content : flex-start;
	width : 100%;
	align-items : center;
	cursor : pointer;
}
.wpcf7-checkbox input {
	opacity : 0;
	width : 1px;
	height : 1px; 
	position : absolute;
	z-index : -1;
}
.wpcf7-checkbox label span.wpcf7-list-item-label::before {
	content : '\2714';
	display : block;
	width : 24px;
	height : 24px;
	background-color : #fff;
	border: 1px solid #c3cbdf;
    outline: 3px #80868c;
	display : flex;
	justify-content : center;
	align-items : center;
	color: transparent;
}
.wpcf7-checkbox label :checked+span.wpcf7-list-item-label::before {
	color: var(--marble-blue);
}


.w-nav-link.w--current {
    color: #0082f3 !important;
}


/* Card Mode Styles */
.table-card-view {
  display: block;
  border: none;
}

.table-card-view thead {
  display: none; /* Hide the actual header row */
}

.table-card-view tbody, 
.table-card-view tr, 
.table-card-view td {
  display: block;
  width: 100%;
}

.table-card-view tr {
  margin-bottom: 1.5rem;
  border: 1px solid #ddd;
  border-radius: 8px;
  padding: 10px;
  box-shadow: 0 2px 4px rgba(0,0,0,0.1);
}

.table-card-view td {
  display: flex;
  justify-content: space-between;
  padding: 8px 5px;
  border-bottom: 1px solid #eee;
  text-align : right;
}

.table-card-view td:last-child {
  border-bottom: none;
}

/* Inject labels from data-label attribute */
.table-card-view td::before {
  content: attr(data-label);
  font-weight: bold;
  margin-right: 10px;
  color: #555;
  text-align : left;
}
html .wp-block-table .has-fixed-layout td, 
html .wp-block-table .has-fixed-layout th {
	word-break: keep-all;
}

@media screen and ( max-width : 990px ) {
	.about-footer-up.home-footer-up {
		padding-top : 47.98vw;
		background-color: var(--midnight);
		background-size : contain;
		background-position : center top;
	}
	.about-footer-up.home-footer-up .container-five {
		width : 100%;
		display : block;
	}
	.about-footer-up.home-footer-up .solving-problems-box {
		width : 100%;
		max-width : 100%;
	}
}